﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using BibRo.Model;
using Microsoft.EntityFrameworkCore;
using Syncfusion.EJ2.Blazor;
using BibRo.Data;

namespace BibRo.Service
{
    public class IntroLocatieService
    {
                 public ApplicationDbContext db;
                public IntroLocatieService(ApplicationDbContext context)
                {
                    db = context;
                }
                public async Task<List<Locatie>> CereLocatieAsync()
                {
                    return await db.Locatii.ToListAsync();
                }
        public  List<Locatie> CereLocatie()
        {
            return db.Locatii.ToList();
        }
        public async Task<Locatie> CereLocatieByIdAsync(string id)
                {
                    return await db.Locatii.FindAsync(id);
                }
                public async Task<Locatie> InsertLocatieAsync(Locatie Locatie)
                {
                    db.Locatii.Add(Locatie);
                    await db.SaveChangesAsync();

                    return Locatie;
                }
                public async Task<Locatie> UpdateLocatieAsync(Guid id, Locatie p)
                {
                    var Locatie = await db.Locatii.FindAsync(id);
                    if (Locatie == null)
                        return null;
                    Locatie.Localitate = p.Localitate;
                    db.Locatii.Update(Locatie);
                    await db.SaveChangesAsync();
                    return Locatie;
                }
 
                public async Task<Locatie> DeleteLocatieAsync(Guid id)
                {
                    var Locatie = await db.Locatii.FindAsync(id);
                    if (Locatie == null)
                        return null;
                    db.Locatii.Remove(Locatie);
            await db.SaveChangesAsync();
            return Locatie;
                }

                  }

   
}
