﻿using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.AspNetCore.Identity.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore;
using BibRo.Model;

namespace BibRo.Data
{
    public class ApplicationDbContext : IdentityDbContext
    {
        public ApplicationDbContext(DbContextOptions<ApplicationDbContext> options)
            : base(options)
        {
        }
        public DbSet<Locatie> Locatii { get; set; }
        public DbSet<Biblioteca> Biblioteci { get; set; }
        public DbSet<Sectii> Sectii { get; set; }

    }
}
