﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using BibRo.Model;
using BibRo.Data;
using Microsoft.EntityFrameworkCore;
using Syncfusion.EJ2.Blazor;

namespace BibRo.Service
{
    public class IntroBiblioteciService
    {
        /*
        public BibroContext db;
        public IntroBiblioteciService(BibroContext context)
        {
            db = context;
        }

        //To Get all IntroBibliotecis details   
        public DbSet<IntroBiblioteci> GetAllIntroBibliotecis()
        {
            try
            {
                return db.IntroBiblioteci;
            }
            catch
            {
                throw;
            }
        }

        // To Add new IntroBiblioteci record
        public void AddIntroBiblioteci(IntroBiblioteci IntroBiblioteci)
        {
            try
            {
                db.IntroBiblioteci.Add(IntroBiblioteci);
                db.SaveChangesAsync();
            }
            catch
            {
                throw;
            }
        }
        public async void SaveChanges()
        {
            try
            {
                bool haschanged = db.ChangeTracker.HasChanges();
                if (haschanged)
                {
                    await db.SaveChangesAsync();

                }
            }
            catch
            {
                throw;
            }
        }

        //To Update the records of a particluar IntroBiblioteci    
        public void UpdateIntroBiblioteci(IntroBiblioteci IntroBiblioteci)
        {
            try
            {
                db.Entry(IntroBiblioteci).State = EntityState.Modified;
                db.SaveChangesAsync();
            }
            catch
            {
                throw;
            }
        }

        //Get the details of a particular IntroBiblioteci    
        public IntroBiblioteci GetIntroBiblioteciData(Guid id)
        {
            try
            {
                IntroBiblioteci IntroBiblioteci = db.IntroBiblioteci.Find(id);
                return IntroBiblioteci;
            }
            catch
            {
                throw;
            }
        }

        //To Delete the record of a particular IntroBiblioteci    
        public void DeleteIntroBiblioteci(Guid id)
        {
            try
            {
                IntroBiblioteci ord = db.IntroBiblioteci.Find(id);
                db.IntroBiblioteci.Remove(ord);
            }
            catch
            {
                throw;
            }
        }



        */

                public  ApplicationDbContext db;
                public IntroBiblioteciService(ApplicationDbContext context)
                {
                    db = context;
                }
                public async Task<List<Biblioteca>> CereIntroBiblioteciAsync()
                        {
                            return await db.Biblioteci.ToListAsync();
                }
      
        public async Task<Biblioteca> CereBiblioteciByIdAsync(string id)
                {
                    return await db.Biblioteci.FindAsync(id);
                }
                public async Task<Biblioteca> InsertBiblioteciAsync(Biblioteca Biblioteci)
                {
                    db.Biblioteci.Add(Biblioteci);
                    await db.SaveChangesAsync();

                    return Biblioteci;
                }
                public async Task<Biblioteca> UpdateBiblioteciAsync(Guid id, Biblioteca p)
                {
                    var Biblioteci = await db.Biblioteci.FindAsync(id);
                    if (Biblioteci == null)
                        return null;
                    Biblioteci.Title = p.Title;
                    Biblioteci.CodBiblioteca = p.CodBiblioteca;
                    Biblioteci.BibliotecaId = p.BibliotecaId;
                    db.Biblioteci.Update(Biblioteci);
                    await db.SaveChangesAsync();
                    return Biblioteci;
                }
 
                public async Task<Biblioteca> DeleteBiblioteciAsync(Guid id)
                {
                    var Biblioteci = await db.Biblioteci.FindAsync(id);
                    if (Biblioteci == null)
                        return null;
                    db.Biblioteci.Remove(Biblioteci);
                    await db.SaveChangesAsync();
                    return Biblioteci;
                }

    }

   
}
